package com.bolour.sample.eclipse.listener.subject;

import org.eclipse.core.runtime.Platform;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

/**
 * Menu event handler for testing <code>listeners</code> notification.
 * 
 * @authod Azad
 */
public class UpdateMenuAction implements IWorkbenchWindowActionDelegate {
	
	private static final String SAMPLE_PLUGIN = "com.bolour.sample.eclipse.listener.subject";
	
	public void dispose() {
	}
	
	public void init(IWorkbenchWindow window) {
	}
	
	/**
	 * Event handler for the update menu action. 
	 * Updates the state of the plugin instance.
	 */
	public void run(IAction action) {
		// Get the singleton instance of the host plugin.
		Subject host = (Subject) Platform.getPlugin(SAMPLE_PLUGIN);		
		// Inform the host plugin of the event.
		host.update();
	}
	
	public void selectionChanged(IAction action, ISelection selection) {
	}
}
